MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003831ATutorModulespublic2009-06-17 11:102013-02-28 14:48
Reporterharris 
Assigned Toharris 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0003831: Fail to delete course, redeclare fs_authenticate
DescriptionCannot redeclare fs_authenticate() (previously declared in xxx\include\lib\file_storage.inc.php:41)

TagsNo tags attached.
Affects versionSVN
SVN Revision#
Attached Files

- Relationships
child of 0003750closedharris Restore assignments fails 

-  Notes
(0003628)
harris (developer)
2009-06-17 11:11

Seems like the fix of 3750 has introduced this.
(0003629)
harris (developer)
2009-06-17 11:28

delete_course loop through a list of modules. And right before looping to assignment, file_storage was called and the file_storage.inc.php was already included, causing the error.

Logic flow error.

A quick way to fix this is to replace require to require_once.
(0003630)
harris (developer)
2009-06-17 11:29

Replaced require to require_once

SVN: 8584
(0003633)
harris (developer)
2009-06-18 06:46

Instead of just using require_once, maybe there is a better way?
(0006153)
greg (administrator)
2013-02-28 14:48

na

- Issue History
Date Modified Username Field Change
2009-06-17 11:10 harris New Issue
2009-06-17 11:10 harris Affects version => SVN
2009-06-17 11:10 harris Relationship added child of 0003250
2009-06-17 11:11 harris Relationship deleted child of 0003250
2009-06-17 11:11 harris Relationship added child of 0003750
2009-06-17 11:11 harris Note Added: 0003628
2009-06-17 11:28 harris Note Added: 0003629
2009-06-17 11:29 harris Status new => resolved
2009-06-17 11:29 harris Resolution open => fixed
2009-06-17 11:29 harris Assigned To => harris
2009-06-17 11:29 harris Note Added: 0003630
2009-06-18 06:46 harris Note Added: 0003633
2009-06-18 06:46 harris Status resolved => acknowledged
2013-02-28 14:48 greg Note Added: 0006153
2013-02-28 14:48 greg Status acknowledged => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker